Last Comment Bug 665189 - hoist JSString and family into vm/String{.h, -inl.h, .cpp}
: hoist JSString and family into vm/String{.h, -inl.h, .cpp}
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: general
:
Mentors:
Depends on:
Blocks: 653057
  Show dependency treegraph
 
Reported: 2011-06-17 14:50 PDT by Luke Wagner [:luke]
Modified: 2011-06-20 17:03 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
pull into vm/String{.h, -inl.h, .cpp} (102.91 KB, patch)
2011-06-17 14:50 PDT, Luke Wagner [:luke]
n.nethercote: review+
Details | Diff | Review

Description Luke Wagner [:luke] 2011-06-17 14:50:47 PDT
Created attachment 540138 [details] [diff] [review]
pull into vm/String{.h, -inl.h, .cpp}

As part of bug 653057, this bug is to separate the string representation from all the string natives in jsstr.h/jsstr.cpp.  Simple patch attached.
Comment 1 Nicholas Nethercote [:njn] (on vacation until July 11) 2011-06-19 19:35:46 PDT
Comment on attachment 540138 [details] [diff] [review]
pull into vm/String{.h, -inl.h, .cpp}

Review of attachment 540138 [details] [diff] [review]:
-----------------------------------------------------------------

r=me on the assumption that you moved the contents of jsstr{.cpp,.h,inlines.h} into String{.cpp,.h,-inl.h} without any changes.
Comment 2 Luke Wagner [:luke] 2011-06-20 10:39:17 PDT
(In reply to comment #1)
> r=me on the assumption that you moved the contents of
> jsstr{.cpp,.h,inlines.h} into String{.cpp,.h,-inl.h} without any changes.

Oops, I should have said that explicitly, but yes it is the case.
Comment 3 Luke Wagner [:luke] 2011-06-20 11:47:30 PDT
http://hg.mozilla.org/tracemonkey/rev/aa383564c5b6
Comment 4 Chris Leary [:cdleary] (not checking bugmail) 2011-06-20 17:03:27 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/aa383564c5b6

Note You need to log in before you can comment on or make changes to this bug.